classification
Title: Minor mistake in test_set.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: arigo, berker.peksag, python-dev, rhettinger, terry.reedy, tim.peters
Priority: normal Keywords: patch

Created on 2013-09-06 09:12 by arigo, last changed 2014-04-26 17:57 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
test_set.diff arigo, 2013-09-06 09:12 review
Messages (8)
msg197060 - (view) Author: Armin Rigo (arigo) * (Python committer) Date: 2013-09-06 09:12
Found a minor mistake in test_set.py.  Patch attached.
msg197100 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-09-06 19:25
The typo causes 1 test to run 5 times instead of 5 tests 1 each.
After fix, all pass on Win7, 3.4.0a1 (where fix is on line 1675 instead of 1618).
msg197101 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2013-09-06 19:41
The fix is obviously correct ;-) - so what next?  Armin & Terry, I don't know whether you have commit privileges.  If you don't, assign it to me and I'll commit it.

Removed 3.5 from the Versions list and added 3.3 and 3.4.
msg197104 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-06 20:43
New changeset b6059bac8a9c by Tim Peters in branch '3.3':
Issue 18944:  fix a 1-character typo in test_set.py.
http://hg.python.org/cpython/rev/b6059bac8a9c

New changeset 4b64166d5abb by Tim Peters in branch 'default':
Merge 3.3 into default.
http://hg.python.org/cpython/rev/4b64166d5abb
msg197126 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-09-07 01:55
Just to answer, anyone with Python snake has commit privileges of some sort but may not be setup to commit to cpython. I suspect Armin found this while review the test for pypy.  I focus mostly on Idle, but on better days, will do little commits like this.
msg197127 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2013-09-07 02:06
Right, I should have asked specifically about cpython commit privs ;-)  Thanks for expounding!
msg217197 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-04-26 13:27
The same typo also needs to be fixed in the 2.7 branch: http://hg.python.org/cpython/file/2.7/Lib/test/test_set.py#l1618
msg217206 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-04-26 17:56
New changeset de6047ea33e6 by Terry Jan Reedy in branch '2.7':
Issue #18944: backport typo fix
http://hg.python.org/cpython/rev/de6047ea33e6
History
Date User Action Args
2014-04-26 17:57:27terry.reedysetstatus: open -> closed
type: behavior
resolution: fixed
stage: needs patch -> resolved
2014-04-26 17:56:48python-devsetmessages: + msg217206
2014-04-26 17:51:43terry.reedysetassignee: tim.peters -> terry.reedy
2014-04-26 13:27:45berker.peksagsetstatus: closed -> open

versions: + Python 2.7
nosy: + berker.peksag

messages: + msg217197
resolution: fixed -> (no value)
stage: resolved -> needs patch
2013-09-07 02:06:06tim.peterssetmessages: + msg197127
2013-09-07 01:55:30terry.reedysetmessages: + msg197126
2013-09-06 20:43:59tim.peterssetstatus: open -> closed
resolution: fixed
stage: resolved
2013-09-06 20:43:26python-devsetnosy: + python-dev
messages: + msg197104
2013-09-06 20:34:27arigosetassignee: tim.peters
2013-09-06 19:42:06tim.peterssetcomponents: + Tests, - Interpreter Core
2013-09-06 19:41:47tim.peterssetnosy: + tim.peters

messages: + msg197101
versions: + Python 3.3, Python 3.4, - Python 3.5
2013-09-06 19:25:27terry.reedysetnosy: + rhettinger, terry.reedy
messages: + msg197100
2013-09-06 09:12:51arigocreate